#
# spec file for package release-notes-leap-micro
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# "lifecycle" changes the document profiling, accepted values:
#   beta | maintained | unmaintained
%define lifecycle maintained
Name:           release-notes-leap-micro
Version:        5.2.20220325
Release:        150400.1.49
Summary:        Release Notes for openSUSE Leap Micro
License:        CC-BY-ND-4.0
Group:          Documentation/SUSE
URL:            https://www.suse.com/releasenotes/
Source:         %{name}-%{version}.tar.xz
BuildRequires:  daps
BuildRequires:  suse-xsl-stylesheets >= 1.9.18
BuildRequires:  update-desktop-files
BuildRequires:  w3m
Requires:       dejavu-fonts
Requires:       google-opensans-fonts
BuildArch:      noarch

%description
This package contains the release notes for openSUSE Leap Micro.
After installing this package, the release notes files can be
found in the %{_datadir}/doc/release-notes directory.  The release notes
are available in the following output formats: PDF, HTML, and TXT.

%prep
%setup -q

%build
sed -i 's/@VERSION@/%{version}/' adoc/release-notes-docinfo.xml
%make_build all LIFECYCLE=%{lifecycle}

%install
rnpath=%{buildroot}%{_datadir}/doc/release-notes/leap-micro
install -m 0644 -D LICENSE ${rnpath}/LICENSE
install -m 0644 -D "build/release-notes/single-html/release-notes/release-notes.html" "${rnpath}/RELEASE-NOTES.en.html"
cp -R "build/release-notes/single-html/release-notes/static/" "${rnpath}"
install -m 0644 -D "build/release-notes/yast-html/release-notes.html" "${rnpath}/RELEASE-NOTES.en.rtf"
install -m 0644 -D "build/release-notes/release-notes_color_en.pdf" "${rnpath}/RELEASE-NOTES.en.pdf"
install -m 0644 -D "build/release-notes/release-notes.txt" "${rnpath}/RELEASE-NOTES.en.txt"

%files
%doc %{_datadir}/doc/release-notes/

%changelog
* Fri Apr  8 2022 git@opensuse.org
- Update to version 5.2.20220325:
  * Initial release of openSUSE Leap Micro 5.2
